export declare const didValidator: RegExp;
export declare const didurlValidator: RegExp;
export interface ParsedDID {
    method: string;
    methodSpecificId: string;
}
export interface ParsedDIDURL extends ParsedDID {
    pathAbempty: string | null;
    query: string | null;
    fragment: string | null;
}
export declare class Parser {
    parseDID(did: string): ParsedDID | null;
    /**
     * test case of DIDURL
       'did:example:123',
       'did:example:123/path',
       'did:example:123/path/subpath',
       'did:example:123?query=value',
       'did:example:123#fragment',
       'did:example:123/path?query=value',
       'did:example:123/path/subpath?query=value&another=value#fragment',
       'did:example:123/path/subpath??/query=value&another=value#fragment',
       'did:klaytn:baobab:0xA738931B9Dd4019D282D9cf368644fEc52e9ec58?service=files&relativeRef=%2Fmyresume%2Fdoc%3Fversion%3Dlatest'
       */
    /**
     *
     * @param didUrl
     * @returns ParsedDIDURL
     */
    parseDIDURL(didUrl: string): ParsedDIDURL | null;
}
//# sourceMappingURL=paser.d.ts.map